// British Secret Service by MadDogX
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

class CfgPatches
{
	class MDXBSSAgent
	{
		units[] = {MDXBSSAgent};
		weapons[] = {};
		requiredVersion = 1.01;
	};
	class MDXBSSOfficer
	{
		units[] = {MDXBSSOfficer};
		weapons[] = {};
		requiredVersion = 1.01;
	};
	class MDXBSSMedic
	{
		units[] = {MDXBSSMedic};
		weapons[] = {};
		requiredVersion = 1.01;
	};

};


class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWSaboteur:SoldierWB{};
	class SoldierWSaboteurPipe:SoldierWSaboteur{};
	class SoldierWSniper:SoldierWB{};
	class OfficerW:SoldierWB{};
	class OfficerWNight:SoldierWB{};	
	class MDXBSSAgent:SoldierWSaboteurPipe
	{
		displayName= "British secret service agent";
		model=\MDXBritSecServ\men\Agent.p3d;
		cost=100000;
		weapons[]={HK,NVGoggles,throw};
		sensitivity=2;
		magazines[]={HK,HK,HK,HK,HK,HK,Smokeshell,Smokeshell,SmokeShell};
wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen",
		"\mdxbritsecserv\men\00000mc_specnas2.paa","\mdxbritsecserv\men\00000mc_specnas2.paa",
		"\mdxbritsecserv\men\00002mc_specnas2.paa","\mdxbritsecserv\men\00002mc_specnas2.paa",
		"\mdxbritsecserv\men\00003mc_specnas2.paa","\mdxbritsecserv\men\00003mc_specnas2.paa",
		"\mdxbritsecserv\men\00004mc_specnas2.paa","\mdxbritsecserv\men\00004mc_specnas2.paa",
		"\mdxbritsecserv\men\00005mc_specnas2.paa","\mdxbritsecserv\men\00005mc_specnas2.paa",
		"\mdxbritsecserv\men\00006mc_specnas2.paa","\mdxbritsecserv\men\00006mc_specnas2.paa",
		"\mdxbritsecserv\men\e_spec_hrud_p.paa","\mdxbritsecserv\men\e_spec_hrud_p_d.paa",
		"\mdxbritsecserv\men\e_spec_zada_z.paa","\mdxbritsecserv\men\e_spec_zada_z_d.paa",
		"\mdxbritsecserv\men\e_pilot_nohy_p.paa","\mdxbritsecserv\men\e_pilot_nohy_p_d.paa",
		"\mdxbritsecserv\men\e_pilot_nohy_z.paa","\mdxbritsecserv\men\e_pilot_nohy_z_d.paa"};
	};

	class MDXBSSOfficer:OfficerWNight
	{
		displayName= "British secret service officer";
		model=\MDXBritSecServ\men\Agent.p3d;
		cost=100000;
		weapons[]={HK,NVGoggles,throw};
		sensitivity=2;
		magazines[]={HK,HK,HK,HK,HK,HK,Smokeshell,Smokeshell,SmokeShell};	
wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen",
		"\mdxbritsecserv\men\00000mc_specnas2.paa","\mdxbritsecserv\men\00000mc_specnas2.paa",
		"\mdxbritsecserv\men\00002mc_specnas2.paa","\mdxbritsecserv\men\00002mc_specnas2.paa",
		"\mdxbritsecserv\men\00003mc_specnas2.paa","\mdxbritsecserv\men\00003mc_specnas2.paa",
		"\mdxbritsecserv\men\00004mc_specnas2.paa","\mdxbritsecserv\men\00004mc_specnas2.paa",
		"\mdxbritsecserv\men\00005mc_specnas2.paa","\mdxbritsecserv\men\00005mc_specnas2.paa",
		"\mdxbritsecserv\men\00006mc_specnas2.paa","\mdxbritsecserv\men\00006mc_specnas2.paa",
		"\mdxbritsecserv\men\e_spec_hrud_p.paa","\mdxbritsecserv\men\e_spec_hrud_p_d.paa",
		"\mdxbritsecserv\men\e_spec_zada_z.paa","\mdxbritsecserv\men\e_spec_zada_z_d.paa",
		"\mdxbritsecserv\men\e_pilot_nohy_p.paa","\mdxbritsecserv\men\e_pilot_nohy_p_d.paa",
		"\mdxbritsecserv\men\e_pilot_nohy_z.paa","\mdxbritsecserv\men\e_pilot_nohy_z_d.paa"};
	};
	class MDXBSSMedic:SoldierWSaboteurPipe
	{
		displayName= "British secret service medic";
		model=\MDXBritSecServ\men\Agent.p3d;
		cost=100000;
		weapons[]={HK,NVGoggles,throw};
		sensitivity=2;
		attendant=true;
		magazines[]={HK,HK,HK,HK,HK,HK,Smokeshell,Smokeshell,SmokeShell};
wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen",
		"\mdxbritsecserv\men\00000mc_specnas2.paa","\mdxbritsecserv\men\00000mc_specnas2.paa",
		"\mdxbritsecserv\men\00002mc_specnas2.paa","\mdxbritsecserv\men\00002mc_specnas2.paa",
		"\mdxbritsecserv\men\00003mc_specnas2.paa","\mdxbritsecserv\men\00003mc_specnas2.paa",
		"\mdxbritsecserv\men\00004mc_specnas2.paa","\mdxbritsecserv\men\00004mc_specnas2.paa",
		"\mdxbritsecserv\men\00005mc_specnas2.paa","\mdxbritsecserv\men\00005mc_specnas2.paa",
		"\mdxbritsecserv\men\00006mc_specnas2.paa","\mdxbritsecserv\men\00006mc_specnas2.paa",
		"\mdxbritsecserv\men\e_spec_hrud_p.paa","\mdxbritsecserv\men\e_spec_hrud_p_d.paa",
		"\mdxbritsecserv\men\e_spec_zada_z.paa","\mdxbritsecserv\men\e_spec_zada_z_d.paa",
		"\mdxbritsecserv\men\e_pilot_nohy_p.paa","\mdxbritsecserv\men\e_pilot_nohy_p_d.paa",
		"\mdxbritsecserv\men\e_pilot_nohy_z.paa","\mdxbritsecserv\men\e_pilot_nohy_z_d.paa"};
	}

};